package com.wasu.cs.model;

import org.json.JSONObject;

public class CatModel extends Model {

	/**
     */
    private static final long serialVersionUID = 1L;
    private String catId;
	private String catType;
	private String name;
	private String engName;
	private String nameColor;
	private String bgColor;
	private String bgImage;

	@Override
	public boolean from(JSONObject json) {
		boolean result = super.from(json);

		if (result) {
			catId = json.optString("catId", "");
			catType = json.optString("catType", "");
			name = json.optString("name", "");
			engName = json.optString("engName", "");
			nameColor = json.optString("nameColor", "");
			bgColor = json.optString("bgColor", "");
			bgImage = json.optString("bgImage", "");
		}

		return result;
	}

	public String getCatId() {
		return catId;
	}

	public String getCatType() {
		return catType;
	}

	public String getName() {
		return name;
	}

	public String getEngName() {
		return engName;
	}

	public String getNameColor() {
		return nameColor;
	}

	public String getBgColor() {
		return bgColor;
	}

	public String getBgImage() {
		return bgImage;
	}
}